/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.item.client;

import com.remains_cave.RemainsCaveMod;
import com.remains_cave.item.custom.BoneStatelyItem;  // 添加导入
import net.minecraft.resources.ResourceLocation;
import software.bernie.geckolib.model.GeoModel;

public class BoneStatelyModel extends GeoModel<BoneStatelyItem> {
    // 模型文件路径
    private static final ResourceLocation MODEL = ResourceLocation.fromNamespaceAndPath(
            RemainsCaveMod.MODID, "geo/item/bone_stately.geo.json");
    private static final ResourceLocation TEXTURE = ResourceLocation.fromNamespaceAndPath(
            RemainsCaveMod.MODID, "textures/item/bone_stately.png");
    private static final ResourceLocation ANIMATION = ResourceLocation.fromNamespaceAndPath(
            RemainsCaveMod.MODID, "animations/item/bone_stately.animation.json");

    @Override
    public ResourceLocation getModelResource(BoneStatelyItem animatable) {
        return MODEL;
    }

    @Override
    public ResourceLocation getTextureResource(BoneStatelyItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(BoneStatelyItem animatable) {
        return ANIMATION;
    }
}